Subject: [bug#64616] [PATCH 0/1] services: static-networking: Add support for bonds and vlans

From: Alexey Abramov <[email-masked]>
Date: Tue, 25 Jul 2023 13:07:59 +0200

Hi!

宋文武 <[email-masked]> writes:

> Alexey Abramov <[email-masked]> writes:
>
>> Hi Guix!
>>
>> After new release of guile-netlink, I made some changes on a guix side to be
>> able to configure bonds and vlans using static-networking declaration.
>
> Hello I think this is a useful feature!
>>
>> In short, I introduced two more structures for *matching* existing interfaces:
>> <network-link-by-macaddress> and <network-link-by-name>. The reason for that
>> is that <network-link> struct creates new interfaces in network-set-up/linux.
>> And if we want to construct a bond we need a way to apply settings for
>> existing interfaces.
>
> If I understand correctly, this will allow we create bond interfaces in
> static-networking-service-type and configure those interfaces with
> static IP.  Maybe there are needs for create bond interfaces, but
> configure them with dhcp dynamic IP, will we able to that with this
> patch?

Thanks for taking the time to check it.  You absolutely right.  Running
dhcp-client and static-networking on routers, for example, is must.  This patch won't
allow this, but another one related to dhcp-client-configuration bug#64850 will. 

-- 
Alexey